### Function

# Camel quoted_encode_step

#### Declaration [src]

    gsize
    camel_quoted_encode_step (
      guchar* in,
      gsize len,
      guchar* out,
      gint* state,
      gint* save
    )

#### Description [src]

Quoted-printable encodes a block of text. Performs an ‘encode step’, saves left-over state in state and save (initialise to -1 on first invocation).

#### Parameters

`in`

  Type: An array of `guchar`

  Input stream.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.

`len`

  Type: `gsize`

  Length of the input.

`out`

  Type: An array of `guchar`

  Output string.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`state`

  Type: `gint*`

  Holds the number of bits that are stored in `save`.

  The argument will be modified by the function.

`save`

  Type: An array of `gint`

  Leftover bits that have not yet been encoded.

  The argument will be modified by the function.
  The length of the array is specified in the `state` argument.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gsize`

The number of bytes encoded.